com.io7m.smfj.format.text.v1

## Class SMFTV1BodySectionParserTriangles

- java.lang.Object
- - com.io7m.smfj.format.text.v1.SMFTV1BodySectionParserTriangles

- All Implemented Interfaces:
    SMFTBodySectionParserType

      public final class SMFTV1BodySectionParserTriangles
      extends Object
      implements SMFTBodySectionParserType

  A parser for the "triangles" body section.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYNTAX` The command syntax.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMFTV1BodySectionParserTriangles(Supplier<SMFHeader> in_header_get, SMFTLineReaderType in_reader)` Construct a parser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()`
    `SMFTParsingStatus` | `parse(SMFParserEventsBodyType receiver, javaslang.collection.List<String> line_start)` Parse the section, delivering events to `receiver`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNTAX

          public static final String SYNTAX

      The command syntax.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SMFTV1BodySectionParserTriangles

          public SMFTV1BodySectionParserTriangles(Supplier<SMFHeader> in_header_get,
                                                  SMFTLineReaderType in_reader)

      Construct a parser.
      Parameters:
        `in_header_get` - A function that yields a header
        `in_reader` - A line reader

  - ### Method Detail

    - #### name

          public String name()

      Specified by:
        `name` in interface `SMFTBodySectionParserType`
      Returns:
        The name of the body section

    - #### parse

          public SMFTParsingStatus parse(SMFParserEventsBodyType receiver,
                                         javaslang.collection.List<String> line_start)
                                  throws IOException

      Description copied from interface: `SMFTBodySectionParserType`
      Parse the section, delivering events to `receiver`.
      Specified by:
        `parse` in interface `SMFTBodySectionParserType`
      Parameters:
        `receiver` - The event receiver
        `line_start` - The current line
      Returns:
        The result of parsing
      Throws:
        `IOException` - On I/O errors

Copyright © 2017 <code@io7m.com> http://io7m.com